ChainedMapper (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: ChainedMapper

# Class ChainedMapper

java.lang.Object
org.apache.tools.ant.util.ContainerMapper
org.apache.tools.ant.util.ChainedMapper

All Implemented Interfaces:
  `FileNameMapper`

public class ChainedMapper extends ContainerMapper
A `ContainerMapper` that chains the results of the first nested `FileNameMapper`s into sourcefiles for the second, the second to the third, and so on, returning the resulting mapped filenames from the last nested `FileNameMapper`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChainedMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `mapFileName(String sourceFileName)`
  Returns an array containing the target filename(s) for the given source file.

  ### Methods inherited from class ContainerMapper

  `add, addConfigured, addConfiguredMapper, contains, getMappers, setFrom, setTo`
  Modifier and Type
  Method
  Description
  `void`
  `add(FileNameMapper fileNameMapper)`
  Add a `FileNameMapper`.
  `void`
  `addConfigured(FileNameMapper fileNameMapper)`
  An add configured version of the add method.
  `void`
  `addConfiguredMapper(Mapper mapper)`
  Add a `Mapper`.
  `protected boolean`
  `contains(FileNameMapper fileNameMapper)`
  Return `true` if this `ContainerMapper` or any of its sub-elements contains the specified `FileNameMapper`.
  `List<FileNameMapper>`
  `getMappers()`
  Get the `List` of `FileNameMapper`s.
  `void`
  `setFrom(String ignore)`
  Empty implementation.
  `void`
  `setTo(String ignore)`
  Empty implementation.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChainedMapper

    public ChainedMapper()

- ## Method Details

  - ### mapFileName

    public String[] mapFileName(String sourceFileName)
    Returns an array containing the target filename(s) for the given source file.

    if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

    .
    Parameters:
      `sourceFileName` - the name of the source file relative to some given basedirectory. Might be `null` for resources that don't provide a name.
    Returns:
      an array of strings if the rule applies to the source file, or null if it does not.